<?php
$WIKI_OPERATORS_FUNCTION['pre'] = true;
$WIKI_OPERATORS_LINE_HEAD['pre'] =
    array('symbol' => ' ', 'group' => true);

function wiki_operator_pre(&$context, $dom, $block) {
    $langs = array();
    $is_code = false;
    $linenum = 0;
    $is_function = false;

    $text = '';
    foreach($block->children as &$tree) {
	if($tree->symbol == '&')
	    $is_function = true;
	if(!empty($tree->parameters)) {
	    wiki_parse_parameters($context, $tree, 
				  array('values' => &$langs,
					'long_flags' => array(
					    'code' => &$is_code,
					    'linenum' => array(&$linenum, 1)
					    ),
					'equalities' => array(
					    'linenum' => &$linenum
					    ),
				      ));
	    
	    if(count(wiki_tokens_trim_space($tree->target)) > 0) {
		$text .= wiki_tokens_to_string_without_escape($tree->target);
	    }
	} else {
	    $text .= wiki_tokens_to_string_without_escape($tree->target);
	}
    }
    if($is_function) {
	if(!empty($text) && $text[0] == "\n")
	    $text = substr($text, 1);
    }

    if($is_code) {
	head_tags_add_javascript('resource/script/prettify.js');
	$lang = array_pop($langs);
	if(!empty($lang))
	    $lang = 'language-' . $lang;
	$pre = dom_append_child($dom, 'pre', 'code prettyprint linenums:' . $linenum);
	dom_set_position($pre, $block);
	$code = dom_append_child($pre, 'code', $lang);
	dom_append_text($code, $text, $context['page']['query']);
    } else {
	$pre = dom_append_child_with_position($dom, 'pre', $block);
	dom_append_text($pre, "\n");
	dom_append_text($pre, $text, $context['page']['query']);
    }
}

/**
@manual $manualpage$/ja/Wiki/CheatSheet/Function
|[[整形済みテキスト(ファンクション):../../Function/pre]]|&&pre(code, linenum){対象テキスト}|
*/
/**
@manual $manualpage$/en/Wiki/CheatSheet/Function
|preformatted text (function)|&&pre(code, linenum){text}|
*/
/**
@manual $manualpage$/ja/Wiki/Function/pre
&title &&pre

*概要
 &pre(code, linenum, linenum=開始行番号) {対象テキスト}
対象テキストを整形済みテキストとしてそのまま表示します．
行頭に半角スペースを書く記法と機能は同等ですが，
こちらの記法では対になっていない&{と&}を対象テキストに書くことが
できません．その代わり行頭に半角スペースを入れる必要がありません．

*パラメータ
:code|対象テキストをプログラム言語としてハイライト表示します．
:linenum|codeを指定した際に行番号を表示します．
:{linenum=行番号|codeを指定した際に行番号を表示します．行番号は指定された番号から開始されます．}

*対象
対象テキストには整形済みテキストやプログラム言語を書きます．

*例

&wikiexample{
&pre{
 +------------+
 | ASCII Art  |====>
 +------------+
}

&pre(code, linenum) {
#include<stdio.h>

int main(int argc, char **argv) {
	printf("Hello ToraTora.\n");
	return 0;
}
}

}
*/

?>
